#
# spec file for package pidentd (Version 3.1a25)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           pidentd
#
# spec file for package pidentd (Version 3.1a25)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#
License:        FSR
Group:          Productivity/Networking/System
PreReq:         %insserv_prereq %fillup_prereq
Provides:       nkitb:/usr/sbin/in.identd
Autoreqprov:    on
Version:        3.1a25
Release:        199.2
Summary:        An Implementation of the RFC1413 Identification Server
URL:            http://sf.www.lysator.liu.se/~pen/pidentd/
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}-SuSE.tar.bz2
Source2:        %{name}.xinetd
Patch0:         %{name}-%{version}-config.diff
Patch1:         %{name}-%{version}-allocfix.diff
Patch2:         %{name}-%{version}-buffer-overflow.diff
Patch3:         %{name}-%{version}-fmt.diff
Patch4:         %{name}-%{version}-prototypes.diff
Patch5:         %{name}-%{version}-autoconf.diff
Patch6:         %{name}-%{version}-warnings-fix.diff
Patch7:         %{name}-%{version}-send.diff
Patch8:         %{name}-%{version}-ipv6.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains identd, which implements a RFC1413 identification
server.  Identd looks up specific TCP/IP connections and returns the
user name and other information about the connection.



Authors:
--------
    Peter Eriksson <pen@lysator.liu.se>

%define prefix   /usr
%debug_package
%prep
%setup -q -a 1
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8

%build
%{suse_update_config -f aux/ plib/aux/}
aclocal --force
autoconf --force
(cd plib
    libtoolize --force
    aclocal --force
    autoconf --force
)
CFLAGS="$RPM_OPT_FLAGS -Wall" \
	./configure \
	--prefix=%{prefix} \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--with-threads=yes
make

%install
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
install -d -m 755 $RPM_BUILD_ROOT/etc/xinetd.d
cp -a SuSE/* $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT/ install
install -m 0644 etc/identd.conf $RPM_BUILD_ROOT/etc/identd.conf
mv $RPM_BUILD_ROOT%{_sbindir}/identd $RPM_BUILD_ROOT%{_sbindir}/in.identd
echo ".so man8/identd.8" > $RPM_BUILD_ROOT%{_mandir}/man8/in.identd.8
install -m 644 %{S:2} $RPM_BUILD_ROOT/etc/xinetd.d/pidentd

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv -n -s identd identd START_IDENTD}

%preun
%stop_on_removal identd

%postun
%restart_on_update identd
%{insserv_cleanup}

%files
%defattr(-,root,root)
%config(noreplace) /etc/xinetd.d/pidentd
%config /etc/init.d/identd
%config /etc/identd.conf
%doc ChangeLog* FAQ README TODO Y2K doc/
%doc %{_mandir}/man?/*
%{_sbindir}/*

%changelog -n pidentd
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 12 2005 - mjancar@suse.cz
- more fixes to the ipv6 support
- split patches by subject
* Fri Sep 16 2005 - mjancar@suse.cz
- fix ipv6 support (#53558)
* Wed Apr 28 2004 - postadal@suse.cz
- fixed rewind(3) issue and examining local connections in both directions
  [#38558]
* Tue Apr 27 2004 - postadal@suse.cz
- redirected std* streams to /dev/null in init script [#38860]
* Fri Feb 27 2004 - postadal@suse.cz
- fixed mazy syslog messaged with "buffer overflow" and compilation warnings
  [#33438]
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Oct 17 2003 - kukuk@suse.de
- Build without DES support (broken on all 64bit archs)
* Fri Sep 19 2003 - mjancar@suse.cz
- fix xinetd configuration file
  * start as root - pidentd switches to nobody itself and complains when can't
  * non waiting mode requires -i switch
* Fri Aug 29 2003 - kukuk@suse.de
- Don't activate in.identd per default
* Mon Aug 25 2003 - postadal@suse.cz
- use new stop_on_removal/restart_on_upate macros
* Thu Mar 06 2003 - postadal@suse.cz
- created config file for xinetd [#24693]
* Mon Feb 24 2003 - postadal@suse.cz
- cleared specfile
* Tue Feb 11 2003 - postadal@suse.cz
- fixed bad allocating of memory [#23480]
* Fri Jan 31 2003 - postadal@suse.cz
- updated to version 3.1a25
  * various PLIB updates and synchronisation with pftpd
* Fri Aug 16 2002 - postadal@suse.cz
- added %%insserv_prereq and %%fillup_prereq to PreReq [#17941]
* Wed Jul 31 2002 - postadal@suse.cz
- update to version 3.1a24 - fixes
- removed sourcing rc.config (bug #17310)
* Mon Dec 10 2001 - cihlar@suse.cz
- removed START_IDENTD
* Thu Jul 26 2001 - cihlar@suse.cz
- update to version 3.1a19
* Wed Jun 06 2001 - cihlar@suse.cz
- fixed to compile with new autoconf
* Thu May 10 2001 - cihlar@suse.cz
- fixed to not start on runlevel 2 [#7954]
* Fri Apr 13 2001 - cihlar@suse.cz
- fixed init script by new skeleton
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Tue Feb 27 2001 - cihlar@suse.cz
- fixed %%files
- fixed start script to agree with skeleton
* Mon Jan 22 2001 - smid@suse.cz
- fix to work with kernels that don't have IPv6 support [#6043]
* Tue Jan 09 2001 - smid@suse.cz
- config file chnged [#5189]
* Tue Dec 05 2000 - smid@suse.cz
- new version 3.1a17
- fixed bug with query len >1024
* Fri Dec 01 2000 - ro@suse.de
- fixed startscript
* Wed Apr 12 2000 - kukuk@suse.de
- New package, split from nkitb
